### Hierarchy

- FeatureOverlay

## Index

### Properties

- index_
- listenerKeys_
- manager_

### Methods

- addFeature
- clear
- handleFeatureAdd_
- handleFeatureRemove_
- isEmpty
- removeFeature
- setFeatures
- setStyle

## Properties

### index_

index_: number

- Defined in src/map/FeatureOverlay.js:41

### listenerKeys_

listenerKeys_: EventsKey[]

- Defined in src/map/FeatureOverlay.js:46

### manager_

manager_: FeatureOverlayMgr

- Defined in src/map/FeatureOverlay.js:36

## Methods

### addFeature

- addFeature(feature: Feature<Geometry>): void

- - Defined in src/map/FeatureOverlay.js:54

  Add a feature to the feature overlay.

  #### Parameters

  - ##### feature: Feature<Geometry>

    The feature to add.

  #### Returns void

### clear

- clear(): void

- - Defined in src/map/FeatureOverlay.js:79

  Remove all the features from the feature overlay.

  #### Returns void

### handleFeatureAdd_

- handleFeatureAdd_(evt: BaseEvent | Event): void

- - Defined in src/map/FeatureOverlay.js:121

  #### Parameters

  - ##### evt: BaseEvent | Event

    Feature collection event.

  #### Returns void

### handleFeatureRemove_

- handleFeatureRemove_(evt: BaseEvent | Event): void

- - Defined in src/map/FeatureOverlay.js:133

  #### Parameters

  - ##### evt: BaseEvent | Event

    Feature collection event.

  #### Returns void

### isEmpty

- isEmpty(): boolean

- - Defined in src/map/FeatureOverlay.js:72

  Check if featureOverlay has no features.

  #### Returns boolean

  True if there is no features. False otherwise.

### removeFeature

- removeFeature(feature: Feature<Geometry>): void

- - Defined in src/map/FeatureOverlay.js:63

  Remove a feature from the feature overlay.

  #### Parameters

  - ##### feature: Feature<Geometry>

    The feature to remove.

  #### Returns void

### setFeatures

- setFeatures(features: Collection<Feature<Geometry>>): void

- - Defined in src/map/FeatureOverlay.js:92

  Configure this feature overlay with a feature collection. Features added to the collection are also added to the overlay. Same for removal. If you configure the feature overlay with a feature collection you will use the collection to add and remove features instead of using the overlay's `addFeature`, `removeFeature` and `clear` functions.

  #### Parameters

  - ##### features: Collection<Feature<Geometry>>

    Feature collection.

  #### Returns void

### setStyle

- setStyle(style: Style | Style[] | StyleFunction): void

- - Defined in src/map/FeatureOverlay.js:114

  Set a style for the feature overlay.

  #### Parameters

  - ##### style: Style | Style[] | StyleFunction

    Style.

  #### Returns void

Generated using TypeDoc